Subject: Re: bug#17501: ARM cast-align Error

From: Paul Eggert <[email-masked]>
Date: Thu, 15 May 2014 21:36:21 -0700

What can I say?  You've got a big hairy cross-build that isn't working 
right.  For example, it claims memchr doesn't work, when I'm pretty sure 
it does.  Cross-builds tend to be not well debugged, and if you really 
want to do one you're going to have to bird-dog it yourself.  For 
example, you can set gl_cv_func_memchr_works=yes in your environment 
before running 'configure', so that 'configure' doesn't mistakenly think 
that memchr is broken.

You should also figure out on your own why 'configure' is deciding to 
use -Werror -- normally it doesn't -- and fix that too.

There are probably a dozen other things that need to be fixed.